about summary refs log tree commit diff stats
path: root/pkgs/by-name/ly
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
commit204731c0a69136c9cebcb54f1afecf5145e26bbe (patch)
treefc9132e5dc74e4a8e1327cdd411839a90f9410aa /pkgs/by-name/ly
parentrefactor(sys): Modularize and move to `modules/system` or `pkgs` (diff)
downloadnixos-config-204731c0a69136c9cebcb54f1afecf5145e26bbe.zip
refactor(pkgs): Categorize into `by-name` shards
This might not be the perfect way to organize a package set --
especially if the set is not nearly the size of nixpkgs -- but it is
_at_ least a way of organization.
Diffstat (limited to 'pkgs/by-name/ly')
-rwxr-xr-xpkgs/by-name/ly/lyrics/lyrics.sh11
-rw-r--r--pkgs/by-name/ly/lyrics/package.nix21
2 files changed, 32 insertions, 0 deletions
diff --git a/pkgs/by-name/ly/lyrics/lyrics.sh b/pkgs/by-name/ly/lyrics/lyrics.sh
new file mode 100755
index 00000000..02a147c8
--- /dev/null
+++ b/pkgs/by-name/ly/lyrics/lyrics.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+(
+    cd "$XDG_MUSIC_DIR" || die "No music dir!"
+    exiftool "$(mpc --format '%file%' current)" -json | jq '.[0].Lyrics' -r | less
+)
+
+# vim: ft=sh
diff --git a/pkgs/by-name/ly/lyrics/package.nix b/pkgs/by-name/ly/lyrics/package.nix
new file mode 100644
index 00000000..041eed96
--- /dev/null
+++ b/pkgs/by-name/ly/lyrics/package.nix
@@ -0,0 +1,21 @@
+{
+  sysLib,
+  exiftool,
+  mpc-cli,
+  jq,
+  less,
+  locale, # dependency of less
+}:
+sysLib.writeShellScript {
+  name = "lyrics";
+  src = ./lyrics.sh;
+  generateCompletions = false;
+  keepPath = false;
+  dependencies = [
+    exiftool
+    mpc-cli
+    jq
+    less
+    locale # dependency of less
+  ];
+}